Debian Bug report logs - #484575
nagios-nrpe-plugin is missing IPv6-Support

version graph

Package: nagios-nrpe-plugin; Maintainer for nagios-nrpe-plugin is Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>; Source for nagios-nrpe-plugin is src:nagios-nrpe.

Reported by: Daniel Baur <dab@daniel.baur4.info>

Date: Wed, 4 Jun 2008 23:51:01 UTC

Severity: normal

Tags: ipv6, jessie, sid, squeeze, upstream, wheezy

Found in version nagios-nrpe/2.8.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. Full text and rfc822 format available.

Acknowledgement sent to Daniel Baur <dab@daniel.baur4.info>:
New Bug report received and forwarded. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baur <dab@daniel.baur4.info>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nagios-nrpe-plugin is missing IPv6-Support
Date: Thu, 05 Jun 2008 01:49:58 +0200
Package: nagios-nrpe-plugin
Version: 2.8.1-1
Severity: normal


nagios-nrpe-plugin has no support for IPv6 - so IPv6-Only-Hosts can't
checked.

AFAIS the methode my_connect in utils.c has to change for that.

Sincerly,
DaB.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=UTF-8) (ignored: LC_ALL set to de_DE.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nagios-nrpe-plugin depends on:
ii  libc6                         2.7-10     GNU C Library: Shared libraries
ii  libssl0.9.8                   0.9.8g-10  SSL shared libraries

Versions of packages nagios-nrpe-plugin recommends:
ii  nagios2                       2.11-1.1   A host/service/network monitoring 

-- debconf-show failed




Tags added: ipv6 Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 15 Sep 2008 09:48:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Sun, 27 Dec 2009 03:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard Schmidt <berni@birkenwald.de>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Sun, 27 Dec 2009 03:27:08 GMT) Full text and rfc822 format available.

Message #12 received at 484575@bugs.debian.org (full text, mbox):

From: Bernhard Schmidt <berni@birkenwald.de>
To: 484575@bugs.debian.org
Subject: Re: nagios-nrpe-plugin is missing IPv6-Support
Date: Sun, 27 Dec 2009 04:18:02 +0100
[Message part 1 (text/plain, inline)]
Hi,

the client side (nagios-nrpe-plugin) is pretty straightforward. I've 
attached my patch I'm using locally. I'm not an experienced C programmer 
and it is far from perfect, but it works for me.

* Might contain security bugs, memory leaks, you name it
* can one assume that getaddrinfo() is available on all (Debian) 
platforms nowadays? I have never done any automake stuff, and the code 
would probably become a bit messy doing that.
* one should probably code -4/-6 flags
* haven't done any testing on IPv4-only hosts (without loaded IPv6)

The server side is probably a lot trickier, especially in daemon mode.

* one has to open/listen to two sockets, one for IPv6 and one for IPv4 
nowadays. I'm not sure whether this is even possible without an 
additional fork()
* server_address might not be too easy
* allowed_hosts is probably really hard

I am ignoring all those challenges and running nrpe from xinetd, which 
works fine. I doubt this will be good enough for Debian mainline though.

Bernhard
[nrpe-ipv6.patch (text/x-patch, attachment)]

Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:14 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:45 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Thu, 13 Jan 2011 16:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jima <jima@beer.tclug.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Thu, 13 Jan 2011 16:09:02 GMT) Full text and rfc822 format available.

Message #23 received at 484575@bugs.debian.org (full text, mbox):

From: Jima <jima@beer.tclug.org>
To: 484575@bugs.debian.org
Subject: Re: nagios-nrpe-plugin is missing IPv6-Support
Date: Thu, 13 Jan 2011 10:07:37 -0600
 Whoops, spoke too soon.  Apparently I broke allowed_hosts for IPv4
very, very badly. :-\

--
Patrick "Jima" Laughton
Fedora Project, blah blah blah




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Thu, 13 Jan 2011 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jima <jima@beer.tclug.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Thu, 13 Jan 2011 16:18:03 GMT) Full text and rfc822 format available.

Message #28 received at 484575@bugs.debian.org (full text, mbox):

From: Jima <jima@beer.tclug.org>
To: 484575@bugs.debian.org
Subject: Re: nagios-nrpe-plugin is missing IPv6-Support
Date: Thu, 13 Jan 2011 10:14:57 -0600
 ...and IPv6.  Maybe I should stick to sysadmin stuff and leave the
programming to the programmers.
 (In fairness, I'm used to firewalling port 5666 and only allowing my
monitoring IPs through.)

--
Patrick "Jima" Laughton




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Thu, 13 Jan 2011 16:28:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jima <jima@beer.tclug.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Thu, 13 Jan 2011 16:28:26 GMT) Full text and rfc822 format available.

Message #33 received at 484575@bugs.debian.org (full text, mbox):

From: Jima <jima@beer.tclug.org>
To: 484575@bugs.debian.org
Subject: Re: nagios-nrpe-plugin is missing IPv6-Support
Date: Thu, 13 Jan 2011 10:00:44 -0600
[Message part 1 (text/plain, inline)]
 My experience was opposite Bernhard's; I found patching NRPE to be
trivial, but couldn't puzzle out how to make check_nrpe work right.
After pounding my head on the problem for a few days, and giving up for
two weeks, I remembered him mentioning he had a patch for it, which
worked beautifully with my modified NRPE.

 Similarly, I am not a seasoned C coder, just a sysadmin with
patching/scripting skills, so I'd love it if someone could review my
work on this.  Thanks!

--
Patrick "Jima" Laughton
Fedora Project, etc
[nrpe-ipv6-2.patch (text/plain, attachment)]

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Thu, 24 Mar 2011 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard Schmidt <berni@birkenwald.de>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Thu, 24 Mar 2011 13:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 484575@bugs.debian.org (full text, mbox):

From: Bernhard Schmidt <berni@birkenwald.de>
To: 484575@bugs.debian.org
Subject: Re: nagios-nrpe-plugin is missing IPv6-Support
Date: Thu, 24 Mar 2011 13:49:22 +0100
FYI, there is a "fork" (announced and discussed on the nagios-devel
list) by Kristian Lyng with a significantly improved NRPE version,
available at https://github.com/KristianLyng/nrpe .

Bernhard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Fri, 13 May 2011 08:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard Schmidt <berni@birkenwald.de>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Fri, 13 May 2011 08:33:07 GMT) Full text and rfc822 format available.

Message #45 received at 484575@bugs.debian.org (full text, mbox):

From: Bernhard Schmidt <berni@birkenwald.de>
To: 484575@bugs.debian.org
Subject: Update
Date: Fri, 13 May 2011 10:24:22 +0200
there is also https://dev.icinga.org/projects/core-nrpe/repository




Added tag(s) upstream. Request was from Alexander Wirt <formorer@debian.org> to control@bugs.debian.org. (Sat, 24 Sep 2011 10:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Mon, 26 Dec 2011 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kilian Krause <kilian@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Mon, 26 Dec 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #52 received at 484575@bugs.debian.org (full text, mbox):

From: Kilian Krause <kilian@debian.org>
To: 484575@bugs.debian.org
Cc: Bernhard Schmidt <berni@birkenwald.de>
Subject: icinga core-nrpe for Debian?
Date: Mon, 26 Dec 2011 19:08:52 +0100
[Message part 1 (text/plain, inline)]
Hi guys,

Is there any chance we'll see an icinga core-nrpe package in Debian soon
(fixing #484575)? What's required/missing for having full IPv6 support with
NRPE in your eyes? Anything besides just "doing it", i.e. preparing the
package from a Git snapshot and stuffing that into NEW?

-- 
Best regrads,
Kilian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Mon, 26 Dec 2011 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@formorer.de>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Mon, 26 Dec 2011 20:03:03 GMT) Full text and rfc822 format available.

Message #57 received at 484575@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@formorer.de>
To: Kilian Krause <kilian@debian.org>, 484575@bugs.debian.org
Cc: Bernhard Schmidt <berni@birkenwald.de>
Subject: Re: [Pkg-nagios-devel] Bug#484575: icinga core-nrpe for Debian?
Date: Mon, 26 Dec 2011 20:50:34 +0100
Kilian Krause schrieb am Monday, den 26. December 2011:

> Hi guys,
> 
> Is there any chance we'll see an icinga core-nrpe package in Debian soon
> (fixing #484575)? What's required/missing for having full IPv6 support with
> NRPE in your eyes? Anything besides just "doing it", i.e. preparing the
> package from a Git snapshot and stuffing that into NEW?
icinga nagios-core is not ready for productive usage. Until a fresh release I
won't upload it.

Alex - speaking with his icinga development team member hat on






Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:40:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#484575; Package nagios-nrpe-plugin. (Wed, 27 Nov 2013 09:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyprien Nicolas <cyprien@nicolas.tf>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Wed, 27 Nov 2013 09:30:05 GMT) Full text and rfc822 format available.

Message #64 received at 484575@bugs.debian.org (full text, mbox):

From: Cyprien Nicolas <cyprien@nicolas.tf>
To: 484575@bugs.debian.org
Subject: nagios-nrpe-plugin is missing IPv6-Support
Date: Wed, 27 Nov 2013 10:17:45 +0100
[Message part 1 (text/plain, inline)]
FWIW, upstream's version 2.15 has IPv6 support

http://labs.nagios.com/2013/09/06/nrpe-2-15-released-now-with-ipv6-support/

-- 
Cyprien/Fulax
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:34:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.